
enabled: true

global:
  image:
    repository: woshinibaba.io/cmii
    tag: "2.2.2.1"
    pullPolicy: IfNotPresent
  domain:
    TenantEnvironment: "outside"  # which will affect the chosen of frontend AppClientId, and the swagger url of backend Application.
    # if just PublicIP:Port is actually deployed, a fake domain and ingress-nginx http port should be assigned
    DeployDomainName: "fake-domain.io:31500"
  ingress:
    # tls should be placed in frontend dedicated nginx, this can be enabled in exactly situation
    # please don't modify this unless you know what exactly you are doing
    tls_enabled: false
  middlewareService:
    type: NodePort
  appServiceType:
    backend: ClusterIP
    frontend: ClusterIP
  pvc:
    storageClass: heketi-glusterfs-distribute
  affinity: { } # don't modify this unless you know the whole application of affinity
  nodeAffinityPreset: # just modify this for nodeAffinity
    type: hard
    key: uavcloud.env
    values:
      - demo

env:
  CUST_JAVA_OPTS: "-Xms1000m -Xmx2000m"
  NACOS_REGISTRY: "helm-nacos:8848"

application:
  type: backend
  manifest:
    # below just is example, its can NOT deployed cause of switch is off
    - name: cmii-admin-data
      enabled: true
      modules: cmlc.lcadm
      tag: 2.2.4
      config: {}
    - name: cmii-admin-gateway
      enabled: true
      modules: cmlc.lcadm
      tag: 2.2.4
      config: {}
    - name: cmii-admin-user
      enabled: true
      modules: cmlc.lcadm
      tag: 2.2.4
      config: {}
    - name: cmii-open-gateway
      enabled: true
      modules: lcopg
      tag: 2.2.4
      config: {}
    - name: cmii-uav-airspace
      enabled: true
      modules: cmlc
      tag: 2.2.4
      config: {}
    - name: cmii-uav-brain
      enabled: true
      modules: lcai
      tag: 2.2.4
      config: {}
    - name: cmii-uav-cloud-live
      enabled: true
      modules: cmlc
      tag: 2.2.4
      config: {}
    - name: cmii-uav-clusters
      enabled: true
      modules: skycenter
      tag: 2.2.4
      config: {}
    - name: cmii-uav-data-post-process
      enabled: true
      modules: cmlc
      tag: 2.2.4
      config:
        pvc:
          cache:
            path: /cmii/cache
            accessMode: ReadWriteMany
            size: 25Gi
    - name: cmii-uav-developer
      enabled: true
      modules: cmlc
      tag: 2.2.4
      config: {}
    - name: cmii-uav-device
      enabled: true
      modules: cmlc
      tag: 2.2.4
      config: {}
    - name: cmii-uav-gateway
      enabled: false
      modules: cmlc
      tag: 2.2.4
      config: {}
    - name: cmii-uav-kpi-monitor
      enabled: true
      modules: cmlc
      tag: 2.2.4
      config: {}
    - name: cmii-uav-live
      enabled: true
      modules: cmlc
      tag: 2.2.4
      config: {}
    - name: cmii-uav-logger
      enabled: true
      modules: cmlc
      tag: 2.2.4
      config: {}
    - name: cmii-uav-material-warehouse
      enabled: true
      modules: cmlc.mws
      tag: 2.2.4
      config:
        pvc:
          cache:
            path: /cmii/cache
            accessMode: ReadWriteMany
            size: 25Gi
    - name: cmii-uav-mission
      enabled: true
      modules: cmlc
      tag: 2.2.4
      config: {}
    - name: cmii-uav-mqtthandler
      enabled: true
      modules: cmlc
      tag: 2.2.4
      config: {}
    - name: cmii-uav-notice
      enabled: true
      modules: cmlc
      tag: 2.2.4
      config: {}
    - name: cmii-uav-oauth
      enabled: true
      modules: cmlc
      tag: 2.2.4
      config: {}
    - name: cmii-uav-process
      enabled: true
      modules: cmlc
      tag: 2.2.4
      config: {}
    - name: cmii-uav-security-system
      enabled: true
      modules: cmlc.scrt
      tag: 2.2.4
      config: {}
    - name: cmii-uav-surveillance
      enabled: true
      modules: cmlc
      tag: 2.2.4
      config: {}
    - name: cmii-uav-user
      enabled: true
      modules: cmlc
      tag: 2.2.4
      config: {}
    - name: cmii-uav-waypoint
      enabled: true
      modules: cmlc
      tag: 2.2.4
      config: {}
    - name: cmii-uav-industrial-portfolio
      enabled: true
      modules: cmlc
      tag: 2.2.4
      config: {}
    - name: cmii-uav-alarm
      enabled: true
      modules: cmlc
      tag: 2.2.4
      config: {}
#        resources:
#          limits:
#            memory: 100Gi
#            cpu: "2"
#          requests:
#            memory: 100Gi
#            cpu: 200m

replicaCount: 1

autoscaling:
  enabled: false

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

podAnnotations: {}

podSecurityContext: {}

securityContext: {}
